com.fasterxml.jackson.annotation

## Class ObjectIdGenerators.None

- java.lang.Object
- - com.fasterxml.jackson.annotation.ObjectIdGenerator<Object>
  - - com.fasterxml.jackson.annotation.ObjectIdGenerators.None

All Implemented Interfaces:
  Serializable

Enclosing class:
  ObjectIdGenerators

    public abstract static class ObjectIdGenerators.None
    extends ObjectIdGenerator<Object>

Abstract marker class used to allow explicitly specifying that no generator is used; which also implies that no Object Id is to be included or used.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.annotation.ObjectIdGenerator

`ObjectIdGenerator.IdKey`

### Constructor Summary

Constructors
Constructor and Description
`None()`

### Method Summary

### Methods inherited from class com.fasterxml.jackson.annotation.ObjectIdGenerator

`canUseFor, forScope, generateId, getScope, isValidReferencePropertyName, key, maySerializeAsObject, newForSerialization`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### None

    public None()